summaryrefslogtreecommitdiffstats
path: root/desktop/faenza-cupertino
diff options
context:
space:
mode:
author Edinaldo P. Silva2016-09-30 02:54:24 +0200
committer Willy Sudiarto Raharjo2016-10-01 02:17:33 +0200
commit3bd13ef1ef18012f79a0e3357da2a0c891e774ea (patch)
treef3d4e40ce42c2852e2013b09073244d2e098d354 /desktop/faenza-cupertino
parentf262ecd303ef0d17ed67de3bf8cfa69f276f5944 (diff)
downloadslackbuilds-3bd13ef1ef18012f79a0e3357da2a0c891e774ea.tar.gz
desktop/faenza-cupertino: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/faenza-cupertino')
-rw-r--r--desktop/faenza-cupertino/README11
-rw-r--r--desktop/faenza-cupertino/doinst.sh13
-rw-r--r--desktop/faenza-cupertino/faenza-cupertino.SlackBuild66
-rw-r--r--desktop/faenza-cupertino/faenza-cupertino.info10
-rw-r--r--desktop/faenza-cupertino/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/desktop/faenza-cupertino/README b/desktop/faenza-cupertino/README
new file mode 100644
index 0000000000..71fc65f5a2
--- /dev/null
+++ b/desktop/faenza-cupertino/README
@@ -0,0 +1,11 @@
+faenza-cupertino (gnome icon theme)
+
+Just recoloured the original Faenza folders.
+
+If you prefer the Faenza-Dark version, you can edit the
+index.theme file and replace the third line with the following:
+
+ Inherits=Faenza-Dark,Humanity,Tango,gnome
+
+All credits go to tiheum:
+http://gnome-look.org/usermanager/search.php?username=tiheum
diff --git a/desktop/faenza-cupertino/doinst.sh b/desktop/faenza-cupertino/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/faenza-cupertino/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/faenza-cupertino/faenza-cupertino.SlackBuild b/desktop/faenza-cupertino/faenza-cupertino.SlackBuild
new file mode 100644
index 0000000000..3cf33357d5
--- /dev/null
+++ b/desktop/faenza-cupertino/faenza-cupertino.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Slackware Package Build Script for faenza-cupertino.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="faenza-cupertino"
+VERSION=${VERSION:-2011.10.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="129008-Faenza-Cupertino"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+chown -R root:root .
+find . -type f -exec chmod 644 {} \;
+find . -type d -exec chmod 755 {} \;
+
+mkdir -p $PKG/usr/share/icons
+
+cp -a Faenza-Cupertino $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/faenza-cupertino/faenza-cupertino.info b/desktop/faenza-cupertino/faenza-cupertino.info
new file mode 100644
index 0000000000..8f29d40a39
--- /dev/null
+++ b/desktop/faenza-cupertino/faenza-cupertino.info
@@ -0,0 +1,10 @@
+PRGNAM="faenza-cupertino"
+VERSION="2011.10.15"
+HOMEPAGE="https://www.gnome-look.org/p/1012542/"
+DOWNLOAD="https://dl.opendesktop.org/api/files/download/id/1460759361/129008-Faenza-Cupertino.tar.gz"
+MD5SUM="c74110bcc79b1eba99f13815d168735b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="faenza-icon-theme"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/faenza-cupertino/slack-desc b/desktop/faenza-cupertino/slack-desc
new file mode 100644
index 0000000000..fd94731033
--- /dev/null
+++ b/desktop/faenza-cupertino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+faenza-cupertino: faenza-cupertino (gnome icon theme)
+faenza-cupertino:
+faenza-cupertino: Just recoloured the original Faenza folders.
+faenza-cupertino:
+faenza-cupertino: Home Page: https://www.gnome-look.org/p/1012542/
+faenza-cupertino:
+faenza-cupertino:
+faenza-cupertino:
+faenza-cupertino:
+faenza-cupertino:
+faenza-cupertino: